Bug 16753 - autofs no longer converts "auto_" to "auto."
Summary: autofs no longer converts "auto_" to "auto."
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: autofs   
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-22 21:24 UTC by mandrews
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-23 15:44:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description mandrews 2000-08-22 21:24:49 UTC
The sun implementation of autofs converts auto_* names in the auto.master
map to auto.* map names. The autofs in redhat 6.2 made this conversion too.
While it seems a ridiculous hack, it would be nice to mantain this
compatibility.

Martin

Comment 1 mandrews 2000-08-23 12:24:55 UTC
Here is a patch to /etc/rc.d/init.d/autofs that restores the old behavior:

*** /etc/Old/autofs	Wed Aug 23 07:18:03 2000
--- /etc/init.d/autofs	Wed Aug 23 07:19:34 2000
***************
*** 121,127 ****
                                  map=
                          else
                                  maptype=yp
!                                 map=`basename $map`
                          fi
                  fi
                  if echo $options | grep -- '-t' >/dev/null 2>&1 ; then
--- 121,127 ----
                                  map=
                          else
                                  maptype=yp
!                                 map=`basename $map | sed 's/^auto_/auto./'`
                          fi
                  fi
                  if echo $options | grep -- '-t' >/dev/null 2>&1 ; then

Comment 2 Glen Foster 2000-08-23 15:44:00 UTC
Nalin, please apply this patch for backwards-compatibility ASAP.

Comment 3 Nalin Dahyabhai 2000-08-23 18:31:42 UTC
Fixed in 3.1.4-5.  Please test the packages in
http://people.redhat.com/nalin/test/, and let me know if you see any other
problems.

Comment 4 mandrews 2000-08-23 19:31:59 UTC
The new test rpm (autofs-3.1.5-5.i386.rpm ) fixes this problem. But I noted 
that it requires the openldap package to be installed (which the old one did 
not).

Comment 5 Nalin Dahyabhai 2000-08-23 20:01:27 UTC
The openldap package only contains the shared libraries.  It has been added to
the base for Sendmail.


Note You need to log in before you can comment on or make changes to this bug.